feature_name: Calendar
properties:
    - key: com.openexchange.calendar.birthdays.enabled
      description: |
        Configures if the <i>birthdays</i> calendar provider is available for a user or not.  
      defaultValue: true
      version: 7.10.0
      reloadable: true
      configcascadeAware: true
      related:
      file: calendar.properties
      packageName: open-xchange-core
      tags: ["Calendar","Contact"]
    - key: com.openexchange.calendar.birthdays.usedForSync
      description: |
        Configures if calendars from the <i>birthdays</i> calendar provider can be synchronized to external clients via CalDAV. If set to <code>false</code>, they are only available in the web client. 
      defaultValue: true
      version: 7.10.2
      reloadable: true
      configcascadeAware: true
      related:
      file: calendar.properties
      packageName: open-xchange-core
      tags: ["Calendar","Contact","CalDAV"]
    - key: com.openexchange.calendar.ical.enabled
      description: |
        Configures if the <i>ical</i> calendar provider is available for a user or not. 
      defaultValue: true
      version: 7.10.0
      reloadable: true
      configcascadeAware: true
      related:
      file: subscribe.properties
      packageName: open-xchange-subscribe
      tags: ["Calendar","Subscribe"]
    - key: com.openexchange.calendar.ical.maxAccounts
      description: |
        Defines the maximum number of allowed accounts or subscriptions for a user within the <i>ical</i> calendar provider. A value of <code>0</code> disables the limit.
      defaultValue: 20
      version: 7.10.0
      reloadable: true
      configcascadeAware: true
      related:
      file: subscribe.properties
      packageName: open-xchange-subscribe
      tags: ["Calendar","Subscribe","Limit"]
    - key: com.openexchange.calendar.ical.usedForSync
      description: |
        Configures if calendars from the <i>ical</i> calendar provider can be synchronized to external clients via CalDAV. If set to <code>false</code>, they are only available in the web client. 
      defaultValue: true
      version: 7.10.2
      reloadable: true
      configcascadeAware: true
      related:
      file: subscribe.properties
      packageName: open-xchange-subscribe
      tags: ["Calendar","Subscribe","CalDAV"]
    - key: com.openexchange.calendar.google.enabled
      description: |
        Configures if the <i>google</i> calendar provider is available for a user or not. 
      defaultValue: true
      version: 7.10.0
      reloadable: true
      configcascadeAware: true
      related:
      file: subscribe.properties
      packageName: open-xchange-subscribe
      tags: ["Calendar","Subscribe"]
    - key: com.openexchange.calendar.google.maxAccounts
      description: |
        Defines the maximum number of allowed accounts or subscriptions for a user within the <i>google</i> calendar provider. A value of <code>0</code> disables the limit.
      defaultValue: 20
      version: 7.10.0
      reloadable: true
      configcascadeAware: true
      related:
      file: subscribe.properties
      packageName: open-xchange-subscribe
      tags: ["Calendar","Subscribe","Limit"]
    - key: com.openexchange.calendar.xctx2.enabled
      description: |
        Configures if the <i>cross-context</i> calendar provider for integrating federated shares is available for a user or not. 
      defaultValue: false
      version: 7.10.5
      reloadable: true
      configcascadeAware: true
      related:
      file: subscribe.properties
      packageName: open-xchange-subscribe
      tags: ["Calendar","Subscribe","Share"]
    - key: com.openexchange.calendar.xctx2.maxAccounts
      description: |
        Defines the maximum number of allowed accounts for a user within the <i>cross-context</i> calendar provider for integrating 
        federated shares. Each account may provide multiple shared calendars. A value of <code>0</code> disables the limit.
      defaultValue: 20
      version: 7.10.5
      reloadable: true
      configcascadeAware: true
      related:
      file: subscribe.properties
      packageName: open-xchange-subscribe
      tags: ["Calendar","Subscribe","Share","Limit"]
    - key: com.openexchange.calendar.xctx2.autoRemoveUnknownShares
      description: |
        Enables or disables the automatic removal of accounts in the <i>cross-context</i> calendar provider that refer to a no longer 
        existing guest user in the remote context. 
      defaultValue: true
      version: 7.10.5
      reloadable: true
      configcascadeAware: true
      related:
      file: subscribe.properties
      packageName: open-xchange-subscribe
      tags: ["Calendar","Subscribe","Share"]
    - key: com.openexchange.calendar.xctx2.retryAfterErrorInterval
      description: |
        Configures the interval in milliseconds when a retry attempt should be performed after an error occurred when initializing the 
        cross-context calendar access. Must be at least one minute.
      defaultValue: 3600000
      version: 7.10.5
      reloadable: true
      configcascadeAware: true
      related:
      file: subscribe.properties
      packageName: open-xchange-subscribe
      tags: ["Calendar","Subscribe","Share"]
    - key: com.openexchange.calendar.maxEventResults
      description: |
        Defines a maximum number of event in event results. The intention of this limit is to prevent out of memory situations.
      defaultValue: 1000
      version: 7.10.0
      reloadable: true
      configcascadeAware: false
      related: 
      file: calendar.properties
      packageName: open-xchange-core
      tags: ["Calendar","Limit"]
    - key: com.openexchange.calendar.maxAttendeesPerEvent
      description: |
        Defines a maximum number of attendees per event. The intention of this limit is to prevent out of memory situations.
      defaultValue: 1000
      version: 7.10.0
      reloadable: true
      configcascadeAware: true
      related: 
      file: calendar.properties
      packageName: open-xchange-core
      tags: ["Calendar","Limit"]
    - key: com.openexchange.calendar.maxAlarmsPerEvent
      description: |
        Defines a maximum number of alarms per event. The intention of this limit is to prevent out of memory situations.
      defaultValue: 100
      version: 7.10.0
      reloadable: true
      configcascadeAware: true
      related: 
      file: calendar.properties
      packageName: open-xchange-core
      tags: ["Calendar","Limit"]
    - key: com.openexchange.calendar.maxConferencesPerEvent
      description: |
        Defines a maximum number of conferences per event. The intention of this limit is to prevent out of memory situations.
      defaultValue: 100
      version: 7.10.4
      reloadable: true
      configcascadeAware: true
      related: 
      file: calendar.properties
      packageName: open-xchange-core
      tags: ["Calendar","Limit"]
    - key: com.openexchange.calendar.provider.google.refreshInterval
      description: |
        Defines the refresh interval in minutes for the google calendar provider.
        If the value is < 0 the default of one day will be used.
      defaultValue: 10
      version: 7.10.0
      reloadable: true
      configcascadeAware: true
      related: 
      file: calendar.properties
      packageName: open-xchange-core
      tags: ["Calendar","Google"]
    - key: com.openexchange.calendar.provider.google.retryOnErrorInterval
      description: |
        Defines the time in seconds to wait for the next request to google in case an error occurred.
        The minimum is 2 seconds.
      defaultValue: 1800
      version: 7.10.0
      reloadable: true
      configcascadeAware: true
      related: 
      file: calendar.properties
      packageName: open-xchange-core
      tags: ["Calendar","Google"]
    - key: com.openexchange.calendar.migration.batchSize
      description: |
        Configures the batch size used when performing the update task com.openexchange.chronos.storage.rdb.migration.ChronosStorageMigrationTask. 
      defaultValue: 500
      version: 7.10.0
      reloadable: true
      configcascadeAware: false
      related: 
      file: calendar.properties
      packageName: open-xchange-core
      tags: ["Calendar","Database"]
    - key: com.openexchange.calendar.migration.maxTombstoneAgeInMonths
      description: |
        Configures the maximum age of 'tombstone' calendar data that is considered when performing the update task com.openexchange.chronos.storage.rdb.migration.ChronosStorageMigrationTask. 
      defaultValue: 12
      version: 7.10.0
      reloadable: true
      configcascadeAware: false
      related: 
      file: calendar.properties
      packageName: open-xchange-core
      tags: ["Calendar","Database"]
    - key: com.openexchange.calendar.migration.intermediateCommits
      description: |
        Controls whether to perform intermediate database COMMITs after each batch during the update task
        com.openexchange.chronos.storage.rdb.migration.ChronosStorageMigrationTask or to have a big database transaction for
        the whole update task.
        
        The reason for this is that big transactions are not handled well by MySQL Galera setups, therefore it is more safe to
        have smaller chunk-wise COMMITS to ensure correctness. However, chunk-wise COMMITS come with a higher duration. 
      defaultValue: true
      version: 7.10.0
      reloadable: true
      configcascadeAware: false
      related: com.openexchange.calendar.migration.batchSize
      file: calendar.properties
      packageName: open-xchange-core
      tags: ["Calendar","Database"]
    - key: com.openexchange.calendar.migration.purgeLegacyData
      description: |
        Manually enables or disables the update task for purging legacy data after the calendar migration took place.  
      defaultValue: true
      version: 7.10.0
      reloadable: false
      configcascadeAware: false
      related: 
      file: calendar.properties
      packageName: open-xchange-core
      tags: ["Calendar","Database"]
    - key: com.openexchange.calendar.resolveGroupAttendees
      description: |
         Defines whether newly added group attendees should be resolved to their individual members implicitly, without preserving the group reference, or not. 
      defaultValue: false
      version: 7.10.0
      reloadable: true
      configcascadeAware: true
      related: 
      file: calendar.properties
      packageName: open-xchange-core
      tags: ["Calendar","Group"]
    - key: com.openexchange.calendar.maxConflictsPerRecurrence
      description: |
         Defines the maximum number of calculated conflicts between two recurring event series. 
      defaultValue: 5
      version: 7.10.0
      reloadable: true
      configcascadeAware: true
      related: 
      file: calendar.properties
      packageName: open-xchange-core
      tags: ["Calendar","Limit"]
    - key: com.openexchange.calendar.maxOccurrencesForConflicts
      description: |
         Defines the maximum number of considered occurrences when checking conflicts for an event series. A value of or smaller than 0 disables the limit.
      defaultValue: 1000
      version: 8.0.0
      reloadable: true
      configcascadeAware: true
      related: 
      file: calendar.properties
      packageName: open-xchange-core
      tags: ["Calendar","Limit"]
    - key: com.openexchange.calendar.maxSeriesUntilForConflicts
      description: |
         Defines for how many years into the future occurrences of an event series are considered when checking conflicts. A value of or smaller than 0 disables the limit. 
      defaultValue: 10
      version: 8.0.0
      reloadable: true
      configcascadeAware: true
      related: 
      file: calendar.properties
      packageName: open-xchange-core
      tags: ["Calendar","Limit"]
    - key: com.openexchange.calendar.maxAttendeesPerConflict
      description: |
         Defines the maximum number of attendees to indicate per conflict. 
      defaultValue: 5
      version: 7.10.0
      reloadable: true
      configcascadeAware: true
      related: 
      file: calendar.properties
      packageName: open-xchange-core
      tags: ["Calendar","Limit"]
    - key: com.openexchange.calendar.maxConflicts
      description: |
         Configures the overall maximum number of conflicts to return. 
      defaultValue: 100
      version: 7.10.0
      reloadable: true
      configcascadeAware: true
      related: 
      file: calendar.properties
      packageName: open-xchange-core
      tags: ["Calendar","Limit"]
    - key: com.openexchange.calendar.skipExternalAttendeeURIChecks
      description: |
         Controls whether checks of (external) attendee URIs are always disabled in or not.  
      defaultValue: false
      version: 7.10.0
      reloadable: true
      configcascadeAware: true
      related: 
      file: calendar.properties
      packageName: open-xchange-core
      tags: ["Calendar"]

    - key: com.openexchange.calendar.alarm.message.backgroundWorker.enabled
      description: |
        In order to properly deliver message alarms a message alarm delivery worker is needed. This worker checks all schemata for due alarms and schedules delivery worker for each of them.

        This property enables or disables this worker.
      defaultValue: true
      version: 7.10.1
      reloadable: false
      configcascadeAware: false
      related: 
        - com.openexchange.calendar.alarm.message.backgroundWorker.period
        - com.openexchange.calendar.alarm.message.backgroundWorker.initialDelay
        - com.openexchange.calendar.alarm.message.backgroundWorker.lookAhead
        - com.openexchange.calendar.alarm.message.backgroundWorker.overdueWaitTime
      file: calendar.properties
      packageName: open-xchange-core
      tags: ["Calendar"]
    - key: com.openexchange.calendar.alarm.message.backgroundWorker.period
      description: |
        In order to properly deliver message alarms a message alarm delivery worker is spawned (see [[com.openexchange.calendar.alarm.message.backgroundWorker.enabled]].

        This property defines the time in minutes between executions of this worker.
      defaultValue: 30
      version: 7.10.1
      reloadable: false
      configcascadeAware: false
      related: 
        - com.openexchange.calendar.alarm.message.backgroundWorker.enabled
        - com.openexchange.calendar.alarm.message.backgroundWorker.initialDelay
        - com.openexchange.calendar.alarm.message.backgroundWorker.lookAhead
        - com.openexchange.calendar.alarm.message.backgroundWorker.overdueWaitTime
      file: calendar.properties
      packageName: open-xchange-core
      tags: ["Calendar"]
    - key: com.openexchange.calendar.alarm.message.backgroundWorker.initialDelay
      description: |
        In order to properly deliver message alarms a message alarm delivery worker is spawned (see [[com.openexchange.calendar.alarm.message.backgroundWorker.enabled]].
        
        This property defines the initial delay in minutes after which the message delivery worker runs for the first time.
      defaultValue: 10
      version: 7.10.1
      reloadable: false
      configcascadeAware: false
      related: 
        - com.openexchange.calendar.alarm.message.backgroundWorker.enabled
        - com.openexchange.calendar.alarm.message.backgroundWorker.period
        - com.openexchange.calendar.alarm.message.backgroundWorker.lookAhead
        - com.openexchange.calendar.alarm.message.backgroundWorker.overdueWaitTime
      file: calendar.properties
      packageName: open-xchange-core
      tags: ["Calendar"]
    - key: com.openexchange.calendar.alarm.message.backgroundWorker.lookAhead
      description: |
        In order to properly deliver message alarms a message alarm delivery worker is spawned (see [[com.openexchange.calendar.alarm.message.backgroundWorker.enabled]].
        
        This property defines the time in minutes the delivery worker looks ahead to pick up message alarms. Must not be smaller than [[com.openexchange.calendar.alarm.message.backgroundWorker.lookAhead]].
      defaultValue: 35
      version: 7.10.1
      reloadable: false
      configcascadeAware: false
      related: 
        - com.openexchange.calendar.alarm.message.backgroundWorker.enabled
        - com.openexchange.calendar.alarm.message.backgroundWorker.period
        - com.openexchange.calendar.alarm.message.backgroundWorker.initialDelay
        - com.openexchange.calendar.alarm.message.backgroundWorker.overdueWaitTime
      file: calendar.properties
      packageName: open-xchange-core
      tags: ["Calendar"]
    - key: com.openexchange.calendar.alarm.message.backgroundWorker.overdueWaitTime
      description: |
        Defines the time in minutes that is waited until an alarm that is already in processing is picked up. E.g. because the node who originally was going to process the trigger has died.
      defaultValue: 5
      version: 7.10.1
      reloadable: false
      configcascadeAware: false
      related: 
        - com.openexchange.calendar.alarm.message.backgroundWorker.enabled
        - com.openexchange.calendar.alarm.message.backgroundWorker.period
        - com.openexchange.calendar.alarm.message.backgroundWorker.initialDelay
        - com.openexchange.calendar.alarm.message.backgroundWorker.lookAhead
      file: calendar.properties
      packageName: open-xchange-core
      tags: ["Calendar"]
    - key: com.openexchange.calendar.alarm.mail.time.shift
      description: |
        Defines the time in milliseconds the trigger time of a mail alarm should be shifted before the trigger time.
        With this property the admin can configure the average time needed by the mail system to send out the mail.
        This way the mail should usually be send out on time and not a few seconds late.
      defaultValue: 0
      version: 7.10.1
      reloadable: true
      configcascadeAware: false
      related: 
        - com.openexchange.calendar.alarm.message.backgroundWorker.enabled
      file: calendar.properties
      packageName: open-xchange-core
      tags: ["Calendar", "Mail"]
    - key: com.openexchange.calendar.alarm.mail.enabled
      description: |
        Enables or disables mail alarms.
      defaultValue: true
      version: 7.10.1
      reloadable: true
      configcascadeAware: true
      related: 
        - com.openexchange.calendar.alarm.message.backgroundWorker.enabled
      file: calendar.properties
      packageName: open-xchange-core
      tags: ["Calendar", "Mail"]
    - key: com.openexchange.calendar.alarm.mail.limit.amount
      description: |
        Defines the amount of mails which are allowed to be send within the given time-frame. A negative value deactivates this limit.
      defaultValue: -1
      version: 7.10.1
      reloadable: true
      configcascadeAware: true
      related: 
        - com.openexchange.calendar.alarm.mail.enabled
        - com.openexchange.calendar.alarm.mail.limit.timeframe
      file: calendar.properties
      packageName: open-xchange-core
      tags: ["Calendar", "Mail"]
    - key: com.openexchange.calendar.alarm.mail.limit.timeframe
      description: |
        Defines the timeframe in milliseconds for the [[com.openexchange.calendar.alarm.mail.limit.amount]].
      defaultValue: 60000
      version: 7.10.1
      reloadable: true
      configcascadeAware: false
      related: 
        - com.openexchange.calendar.alarm.mail.enabled
        - com.openexchange.calendar.alarm.mail.limit.amount
      file: calendar.properties
      packageName: open-xchange-core
      tags: ["Calendar", "Mail"]      

    - key: com.openexchange.calendar.alarm.sms.time.shift
      description: |
        Defines the time in milliseconds the trigger time of a sms alarm should be shifted before the trigger time.
        With this property the admin can configure the average time needed to send out a sms.
        This way the sms should usually be send out on time and not a few seconds late.
      defaultValue: 0
      version: 7.10.1
      reloadable: true
      configcascadeAware: false
      related: 
        - com.openexchange.calendar.alarm.message.backgroundWorker.enabled
      file: calendar.properties
      packageName: open-xchange-core
      tags: ["Calendar", "SMS"]
    - key: com.openexchange.calendar.alarm.sms.enabled
      description: |
        Enables or disables sms alarms.
      defaultValue: false
      version: 7.10.1
      reloadable: true
      configcascadeAware: true
      related: 
        - com.openexchange.calendar.alarm.message.backgroundWorker.enabled
      file: calendar.properties
      packageName: open-xchange-core
      tags: ["Calendar", "SMS"]
    - key: com.openexchange.calendar.alarm.sms.limit.amount
      description: |
        Defines the amount of sms which are allowed to be send within the given time-frame. A negative value deactivates this limit.
      defaultValue: 50
      version: 7.10.1
      reloadable: true
      configcascadeAware: true
      related: 
        - com.openexchange.calendar.alarm.sms.enabled
        - com.openexchange.calendar.alarm.sms.limit.timeframe
      file: calendar.properties
      packageName: open-xchange-core
      tags: ["Calendar", "SMS"]
    - key: com.openexchange.calendar.alarm.sms.limit.timeframe
      description: |
        Defines the timeframe in milliseconds for the [[com.openexchange.calendar.alarm.sms.limit.amount]].
      defaultValue: 60000
      version: 7.10.1
      reloadable: true
      configcascadeAware: false
      related: 
        - com.openexchange.calendar.alarm.sms.enabled
        - com.openexchange.calendar.alarm.sms.limit.amount
      file: calendar.properties
      packageName: open-xchange-core
      tags: ["Calendar", "SMS"]
    - key: com.openexchange.calendar.allowChangeOfOrganizer
      description: |
        Defines a value that indicates whether an organizer is allowed to hand over an event to another calendar user, efficiently making the
        other calendar user the new organizer of the event. Even if activated, the organizer can only be changed if the new organizer and all 
        attendees of the event are internal users.
      defaultValue: false
      version: 7.10.2
      reloadable: true
      configcascadeAware: true
      file: calendar.properties
      packageName: open-xchange-core
      tags: ["Calendar"]
    - key: com.openexchange.capability.calendar-printing
      description: |
        Enables or disables indicating the <i>calendar-printing</i> capability towards clients.
      defaultValue: true
      version: 7.10.3
      reloadable: true
      configcascadeAware: true
      file: calendar.properties
      packageName: open-xchange-core
      tags: ["Calendar", "Permission"]
    - key: com.openexchange.calendar.preferNoReplyForNotifications
      description: |
        If set to 'true' then internal notifications are sent via the no-reply mail account.
      defaultValue: false
      version: 7.10.4
      reloadable: true
      configcascadeAware: true
      file: calendar.properties
      packageName: open-xchange-core
      related: com.openexchange.noreply.address
      tags: ["Calendar", "Notification", "No-Reply"]
    - key: com.openexchange.calendar.preferNoReplyForIMip
      description: |
        If set to 'true' then external imip mails are sent via the no-reply mail account.
      defaultValue: false
      version: 7.10.5
      reloadable: true
      configcascadeAware: true
      file: calendar.properties
      packageName: open-xchange-core
      related: com.openexchange.noreply.address
      tags: ["Calendar", "No-Reply"]
    - key: com.openexchange.calendar.allowOrganizerPartStatChanges
      description: |
        Configures whether organizer changes of the participation status property of other attendees are allowed beyond the recommended 
        restrictions mentioned in RFC 6638, section 3.2.1. Otherwise, only transitions to NEEDS-ACTION are possible. 
      defaultValue: false
      version: 7.10.4
      reloadable: true
      configcascadeAware: true
      file: calendar.properties
      packageName: open-xchange-core
      tags: ["Calendar"]
    - key: com.openexchange.calendar.lookupPeerAttendeesForSameMailDomainOnly
      description: |
        Attendee data from copies of a group-scheduled event organized by an external calendar user is dynamically looked up in calendar
        folders of other internal users. This flag indicates whether the lookup is only attempted for attendees that share the same mail domain
        as the current calendar user, or if the lookup is always performed.
      defaultValue: true
      version: 7.10.4
      reloadable: true
      configcascadeAware: true
      file: calendar.properties
      packageName: open-xchange-core
      tags: ["Calendar"]
    - key: com.openexchange.calendar.notifyResourceAttendees
      description: |
        Configures whether notification mails for new, modified and deleted appointments are sent to internal resource attendees or not.
      defaultValue: true
      version: 7.10.5
      reloadable: true
      configcascadeAware: true
      file: calendar.properties
      packageName: open-xchange-core
      related: com.openexchange.noreply.address
      tags: ["Calendar", "Notification", "Resource"]
    - key: com.openexchange.calendar.autoProcessIMip
      description: |
        Configures a default value whether incoming iTIP/iMIP mails will
        automatically be processed (if possible) or not.

        This property (if set) is a mere default value. The user can overwrite
        it on her own behalf anytime.

        Possible values are ALWAYS to always try to auto-process incoming
        iTIP/iMIP mails, KNOWN to lookup the sender in the attendees list or
        for new events in the address book of the user and then on positive
        match to try auto-processing or NEVER to always leave the choice to
        the user. NEVER reflects the iTIP/iMIP workflow from Open-Xchange
        Server versions prior 7.10.6.
      defaultValue: known
      version: 7.10.6
      reloadable: true
      configcascadeAware: true
      file: calendar.properties
      packageName: open-xchange-core
      related:
      tags: ["Calendar", "Notification", "Scheduling"]
    - key: com.openexchange.calendar.autoProcessIMipOnMailFetch
      description: |
        Configures whether incoming iTIP/iMIP mails will automatically be
        processed whithin a so called `MailFetchListener` or not.

        The listener allows the server to process iMIP mails whenever a mail
        is loaded from the mail server. This however has drawbacks when the
        mail server doesn't support user flags or loading of the mails'
        `BODYSTRUCTURE`. Then, the server has to look into each mail
        part to find possible iCAL attachments which might result in further
        loading from the mail server, efficiently slowing down the Open-Xchange
        server.
      defaultValue: true
      version: 7.10.6
      reloadable: true
      configcascadeAware: true
      file: calendar.properties
      packageName: open-xchange-core
      related:
      tags: ["Calendar", "Notification", "Scheduling"]
    - key: com.openexchange.calendar.autoProcessIMipTimeframe
      description: |
        Defines a timeframe within mails are scanned when automatically processing incoming 
        scheduling mails. The timeframe is from now back o the configured value. Anything earlier will be ignored.
        The value can be defined using units of measurement: "W" (=weeks), "D" (=days) and "H" (=hours). A value of "0" implies no restrictions.
      defaultValue: 4W
      version: 7.10.6
      reloadable: true
      configcascadeAware: false
      related: com.openexchange.calendar.autoProcessIMipOnMailFetch
      file: calendar.properties
      packageName: open-xchange-core
      tags: ["Calendar", "Limit", "Scheduling"]
    - key: com.openexchange.calendar.enableCrossContextFreeBusy
      description: |
        Enables or disables free/busy lookups within other contexts. Once
        activated, free/busy data will also be collected for other internal
        users which belong to another context, however are external attendees
        from the point of view of the acting user.
        The property has to be enabled for the source and the target context of
        the free/busy lookup.
      defaultValue: false
      version: 7.10.6
      reloadable: true
      configcascadeAware: true
      related:
      file: calendar.properties
      packageName: open-xchange-core
      tags: ["Calendar", "Free/Busy", "XCTX"]
    - key: com.openexchange.calendar.enableCrossContextConflicts
      description: |
        Enables or disables conflict checks within other contexts. Once
        activated, conflict checks will also be performed for other internal
        users which belong to another context, however are external attendees
        from the point of view of the acting user.
        The property has to be enabled for the source and the target context of
        the conflict check.
      defaultValue: false
      version: 7.10.6
      reloadable: true
      configcascadeAware: true
      related:
      file: calendar.properties
      packageName: open-xchange-core
      tags: ["Calendar", "Conflict", "XCTX"]
    - key: com.openexchange.calendar.pushedIMipResolveMode
      description: |
        Configures how iMIP mails that are pushed to the server will be associated to groupware users. 
        This property can be configured to one of the following modes:
        "recipientOnly": Only the email's recipient is considered and resolved through the configured MailResolver service.
        "synthetic": The push message's username is expected in <userid>@<contextid> notation.
        "mailLogin": The push message's username is the mail login, which is then resolved through a configured MailLoginResolver service.
        "loginInfo": The push message's username is expected in <username>@<loginmapping> notation and resolved through corresponding login mappings.
      defaultValue: recipientOnly
      version: 7.10.6
      reloadable: true
      configcascadeAware: false
      file: calendar.properties
      packageName: open-xchange-core
      tags: ["Calendar","Scheduling"]
    - key: com.openexchange.calendar.storage.rangeIndexHint
      description: |
        Configures how the 'range' index is advertised to the SQL optimizer within typical database queries. Depending on the actual usage scenario
        (many appointments in few contexts vs. few appointments in many contexts), a different setting might be more suitable.  
        The following values can be defined:
        <ul>
         <li><code>none</code> to not include an index hint at all</li>
         <li><code>use</code> to suggest usage of the index via <code>USE INDEX</code></li>
         <li><code>force</code> to strongly suggest usage of the index via <code>FORCE INDEX</code></li>
        </ul>
      defaultValue: none
      version: 8.0.0
      reloadable: true
      configcascadeAware: false
      related: 
      file: calendar.properties
      packageName: open-xchange-core
      tags: ["Calendar","Database"]
    - key: com.openexchange.calendar.usedForSync.shared.default
      description: |
        Configures if shared calendar folders from the default account are considered for 
        synchronization by default or not. May still be set individually by the end user 
        unless also marked as protected.
      defaultValue: true
      version: 8.10
      reloadable: true
      configcascadeAware: true
      related: com.openexchange.calendar.usedForSync.shared.protected
      file: calendar.properties
      packageName: open-xchange-core
      tags: ["Folder","Calendar","CalDAV"]
    - key: com.openexchange.calendar.usedForSync.shared.protected
      description: |
        Configures if the default value that determines if shared calendar folders from the 
        default account are considered for synchronization may be overridden by the user or not. 
      defaultValue: false
      version: 8.10
      reloadable: true
      configcascadeAware: true
      related: com.openexchange.calendar.usedForSync.shared.default
      file: calendar.properties
      packageName: open-xchange-core
      tags: ["Folder","Calendar","CalDAV"]
    - key: com.openexchange.calendar.usedForSync.public.default
      description: |
        Configures if public calendar folders from the default account are considered for 
        synchronization by default or not. May still be set individually by the end user 
        unless also marked as protected.
      defaultValue: true
      version: 8.10
      reloadable: true
      configcascadeAware: true
      related: com.openexchange.calendar.usedForSync.public.protected
      file: calendar.properties
      packageName: open-xchange-core
      tags: ["Folder","Calendar","CalDAV"]
    - key: com.openexchange.calendar.usedForSync.public.protected
      description: |
        Configures if the default value that determines if public calendar folders from the 
        default account are considered for synchronization may be overridden by the user or not. 
      defaultValue: false
      version: 8.10
      reloadable: true
      configcascadeAware: true
      related: com.openexchange.calendar.usedForSync.public.default
      file: calendar.properties
      packageName: open-xchange-core
      tags: ["Folder","Calendar","CalDAV"]
    - key: com.openexchange.calendar.useIMipForInternalUsers
      description: |
        Controls whether scheduling-related notification mails to other internal entities are sent as 
        regular iMIP message (including iCalendar attachment) or not. 
        Since automatic scheduling takes place within a context, attendee and organizer copies of
        appointments are in sync implicitly, and updates don't need to be distributed via iMIP. However,
        enabling iMIP also for internal users may be useful if external client applications are in use, 
        or to ease forwarding invitations to others.
      defaultValue: false
      version: 8.11
      reloadable: true
      configcascadeAware: true
      related: com.openexchange.calendar.useIMipForInternalUsers
      file: calendar.properties
      packageName: open-xchange-core
      tags: ["Calendar", "Notification", "Scheduling"]
    - key: com.openexchange.calendar.freeBusyVisibility.default
      description: |
        Defines the default free/busy visibility setting to assume unless overridden by the user.
        Possible values are:
        <ul>
         <li><code>none</code> to not expose a user's availability to others at all</li>
         <li><code>internal-only</code> to make the free/busy data available to other users within the same context</li>
         <li><code>all</code> to expose availability data also beyond context boundaries (i.e. for cross-context- or other external access if configured)</li>
        </ul>
      defaultValue: all
      version: 8.13
      reloadable: true
      configcascadeAware: true
      related: 
        - com.openexchange.calendar.freeBusyVisibility.protected
        - com.openexchange.calendar.enableCrossContextConflicts
        - com.openexchange.calendar.enableCrossContextFreeBusy
      file: calendar.properties
      packageName: open-xchange-core
      tags: ["Calendar", "Free/Busy", "Conflict"]
    - key: com.openexchange.calendar.freeBusyVisibility.protected
      description: |
        Configures if the default free/busy visibility setting may be overridden by users or not. 
      defaultValue: false
      version: 8.13
      reloadable: true
      configcascadeAware: true
      related: com.openexchange.calendar.freeBusyVisibility.default
      file: calendar.properties
      packageName: open-xchange-core
      tags: ["Calendar", "Free/Busy", "Conflict"]
